Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 6596)
@@ -24,5 +24,4 @@
    !!   dom_zgr          : defined the ocean vertical coordinate system
    !!       zgr_bat      : bathymetry fields (levels and meters)
-   !!       zgr_bat_zoom : modify the bathymetry field if zoom domain
    !!       zgr_bat_ctl  : check the bathymetry files
    !!       zgr_bot_level: deepest ocean level for t-, u, and v-points
@@ -149,5 +148,4 @@
       ! final adjustment of mbathy & check 
       ! -----------------------------------
-      IF( lzoom       )   CALL zgr_bat_zoom     ! correct mbathy in case of zoom subdomain
       IF( .NOT.lk_c1d )   CALL zgr_bat_ctl      ! check bathymetry (mbathy) and suppress isolated ocean points
                           CALL zgr_bot_level    ! deepest ocean level for t-, u- and v-points
@@ -225,7 +223,7 @@
          !
 #if defined key_agrif
-         za1  = (  ppdzmin - pphmax / FLOAT(jpkdta-1)  )                                                   &
-            & / ( TANH((1-ppkth)/ppacr) - ppacr/FLOAT(jpkdta-1) * (  LOG( COSH( (jpkdta - ppkth) / ppacr) )&
-            &                                                      - LOG( COSH( ( 1  - ppkth) / ppacr) )  )  )
+         za1  = (  ppdzmin - pphmax / REAL( jpkdta-1 , wp )  )                                                   &
+            & / ( TANH((1-ppkth)/ppacr) - ppacr/REAL( jpkdta-1 , wp ) * (  LOG( COSH( (jpkdta - ppkth) / ppacr) )&
+            &                                                            - LOG( COSH( ( 1     - ppkth) / ppacr) )  )  )
 #else
          za1  = (  ppdzmin - pphmax / FLOAT(jpkm1)  )                                                      &
@@ -429,34 +427,4 @@
                zdta(:,:) = gdepw_1d(jpk)                     ! last w-point depth
                h_oce     = gdepw_1d(jpk)
-            ENDIF
-         ELSE                                         ! bump centered in the basin
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) '         bathymetry field: flat basin with a bump'
-            ii_bump = jpidta / 2                           ! i-index of the bump center
-            ij_bump = jpjdta / 2                           ! j-index of the bump center
-            r_bump  = 50000._wp                            ! bump radius (meters)       
-            h_bump  =  2700._wp                            ! bump height (meters)
-            h_oce   = gdepw_1d(jpk)                        ! background ocean depth (meters)
-            IF(lwp) WRITE(numout,*) '            bump characteristics: '
-            IF(lwp) WRITE(numout,*) '               bump center (i,j)   = ', ii_bump, ii_bump
-            IF(lwp) WRITE(numout,*) '               bump height         = ', h_bump , ' meters'
-            IF(lwp) WRITE(numout,*) '               bump radius         = ', r_bump , ' index'
-            IF(lwp) WRITE(numout,*) '            background ocean depth = ', h_oce  , ' meters'
-            !                                        
-            DO jj = 1, jpjdta                              ! zdta :
-               DO ji = 1, jpidta
-                  zi = FLOAT( ji - ii_bump ) * ppe1_m / r_bump
-                  zj = FLOAT( jj - ij_bump ) * ppe2_m / r_bump
-                  zdta(ji,jj) = h_oce - h_bump * EXP( -( zi*zi + zj*zj ) )
-               END DO
-            END DO
-            !                                              ! idta :
-            IF( ln_sco ) THEN                                   ! s-coordinate (zsc       ): idta()=jpk
-               idta(:,:) = jpkm1
-            ELSE                                                ! z-coordinate (zco or zps): step-like topography
-               idta(:,:) = jpkm1
-               DO jk = 1, jpkm1
-                  WHERE( gdept_1d(jk) < zdta(:,:) .AND. zdta(:,:) <= gdept_1d(jk+1) )   idta(:,:) = jk
-               END DO
             ENDIF
          ENDIF
@@ -605,54 +573,4 @@
 
 
-   SUBROUTINE zgr_bat_zoom
-      !!----------------------------------------------------------------------
-      !!                    ***  ROUTINE zgr_bat_zoom  ***
-      !!
-      !! ** Purpose : - Close zoom domain boundary if necessary
-      !!              - Suppress Med Sea from ORCA R2 and R05 arctic zoom
-      !!
-      !! ** Method  : 
-      !!
-      !! ** Action  : - update mbathy: level bathymetry (in level index)
-      !!----------------------------------------------------------------------
-      INTEGER ::   ii0, ii1, ij0, ij1   ! temporary integers
-      !!----------------------------------------------------------------------
-      !
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '    zgr_bat_zoom : modify the level bathymetry for zoom domain'
-      IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~~'
-      !
-      ! Zoom domain
-      ! ===========
-      !
-      ! Forced closed boundary if required
-      IF( lzoom_s )   mbathy(  : , mj0(jpjzoom):mj1(jpjzoom) )      = 0
-      IF( lzoom_w )   mbathy(      mi0(jpizoom):mi1(jpizoom) , :  ) = 0
-      IF( lzoom_e )   mbathy(      mi0(jpiglo+jpizoom-1):mi1(jpiglo+jpizoom-1) , :  ) = 0
-      IF( lzoom_n )   mbathy(  : , mj0(jpjglo+jpjzoom-1):mj1(jpjglo+jpjzoom-1) )      = 0
-      !
-      ! Configuration specific domain modifications
-      ! (here, ORCA arctic configuration: suppress Med Sea)
-      IF( cp_cfg == "orca" .AND. cp_cfz == "arctic" ) THEN
-         SELECT CASE ( jp_cfg )
-         !                                        ! =======================
-         CASE ( 2 )                               !  ORCA_R2 configuration
-            !                                     ! =======================
-            IF(lwp) WRITE(numout,*) '                   ORCA R2 arctic zoom: suppress the Med Sea'
-            ii0 = 141   ;   ii1 = 162      ! Sea box i,j indices
-            ij0 =  98   ;   ij1 = 110
-            !                                     ! =======================
-         CASE ( 05 )                              !  ORCA_R05 configuration
-            !                                     ! =======================
-            IF(lwp) WRITE(numout,*) '                   ORCA R05 arctic zoom: suppress the Med Sea'
-            ii0 = 563   ;   ii1 = 642      ! zero over the Med Sea boxe
-            ij0 = 314   ;   ij1 = 370 
-         END SELECT
-         !
-         mbathy( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 0   ! zero over the Med Sea boxe
-         !
-      ENDIF
-      !
-   END SUBROUTINE zgr_bat_zoom
 
 
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 6596)
@@ -34,4 +34,5 @@
    USE domvvl          ! varying vertical mesh
    USE iscplrst        ! ice sheet coupling
+   USE usrdef          ! User defined routine
    !
    USE in_out_manager  ! I/O manager
@@ -41,7 +42,4 @@
    USE wrk_nemo        ! Memory allocation
    USE timing          ! Timing
-   USE usrdef          ! User defined routine
-
-
 
    IMPLICIT NONE
@@ -136,5 +134,5 @@
       ub_b(:,:) = 0._wp   ;   vb_b(:,:) = 0._wp
       !
-!!gm  the use of umsak & vmask is not necessary belox as un, vn, ub, vb are always masked
+!!gm  the use of umsak & vmask is not necessary below as un, vn, ub, vb are always masked
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -159,3 +157,4 @@
    END SUBROUTINE istate_init
 
+   !!======================================================================
 END MODULE istate
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 6596)
@@ -69,5 +69,5 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:) ::   wgtbtp1, wgtbtp2   !: 1st & 2nd weights used in time filtering of barotropic fields
 
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  zwz          !: ff/h at F points
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  zwz          !: ff_f/h at F points
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  ftnw, ftne   !: triad of coriolis parameter
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  ftsw, ftse   !: (only used with een vorticity scheme)
@@ -220,5 +220,5 @@
       IF( kt == nit000 .OR. .NOT.ln_linssh ) THEN
          IF( ln_dynvor_een ) THEN               !==  EEN scheme  ==!
-            SELECT CASE( nn_een_e3f )              !* ff/e3 at F-point
+            SELECT CASE( nn_een_e3f )              !* ff_f/e3 at F-point
             CASE ( 0 )                                   ! original formulation  (masked averaging of e3t divided by 4)
                DO jj = 1, jpjm1
@@ -226,5 +226,5 @@
                      zwz(ji,jj) =   ( ht_n(ji  ,jj+1) + ht_n(ji+1,jj+1) +                    &
                         &             ht_n(ji  ,jj  ) + ht_n(ji+1,jj  )   ) * 0.25_wp  
-                     IF( zwz(ji,jj) /= 0._wp )   zwz(ji,jj) = ff(ji,jj) / zwz(ji,jj)
+                     IF( zwz(ji,jj) /= 0._wp )   zwz(ji,jj) = ff_f(ji,jj) / zwz(ji,jj)
                   END DO
                END DO
@@ -236,5 +236,5 @@
                         &       / ( MAX( 1._wp, tmask(ji  ,jj+1, 1) + tmask(ji+1,jj+1, 1) +    &
                         &                       tmask(ji  ,jj  , 1) + tmask(ji+1,jj  , 1) ) )
-                     IF( zwz(ji,jj) /= 0._wp )   zwz(ji,jj) = ff(ji,jj) / zwz(ji,jj)
+                     IF( zwz(ji,jj) /= 0._wp )   zwz(ji,jj) = ff_f(ji,jj) / zwz(ji,jj)
                   END DO
                END DO
@@ -285,5 +285,5 @@
                END DO
             END DO
-            zwz(:,:) = ff(:,:) * zwz(:,:)
+            zwz(:,:) = ff_f(:,:) * zwz(:,:)
          ENDIF
       ENDIF
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 6596)
@@ -237,5 +237,5 @@
          SELECT CASE( kvor )                 !==  vorticity considered  ==!
          CASE ( np_COR )                           !* Coriolis (planetary vorticity)
-            zwz(:,:) = ff(:,:) 
+            zwz(:,:) = ff_f(:,:) 
          CASE ( np_RVO )                           !* relative vorticity
             DO jj = 1, jpjm1
@@ -256,7 +256,7 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = ff(ji,jj) + (  e2v(ji+1,jj  ) * vn(ji+1,jj  ,jk) - e2v(ji,jj) * vn(ji,jj,jk)    &
-                     &                      - e1u(ji  ,jj+1) * un(ji  ,jj+1,jk) + e1u(ji,jj) * un(ji,jj,jk)  ) &
-                     &                   * r1_e1e2f(ji,jj)
+                  zwz(ji,jj) = ff_f(ji,jj) + (  e2v(ji+1,jj  ) * vn(ji+1,jj  ,jk) - e2v(ji,jj) * vn(ji,jj,jk)    &
+                     &                        - e1u(ji  ,jj+1) * un(ji  ,jj+1,jk) + e1u(ji,jj) * un(ji,jj,jk)  ) &
+                     &                     * r1_e1e2f(ji,jj)
                END DO
             END DO
@@ -264,5 +264,5 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = ff(ji,jj)                                                                        &
+                  zwz(ji,jj) = ff_f(ji,jj)                                                                      &
                        &     + (   ( vn(ji+1,jj  ,jk) + vn (ji,jj,jk) ) * ( e2v(ji+1,jj  ) - e2v(ji,jj) )       &
                        &         - ( un(ji  ,jj+1,jk) + un (ji,jj,jk) ) * ( e1u(ji  ,jj+1) - e1u(ji,jj) )   )   &
@@ -357,5 +357,5 @@
          SELECT CASE( kvor )                 !==  vorticity considered  ==!
          CASE ( np_COR )                           !* Coriolis (planetary vorticity)
-            zwz(:,:) = ff(:,:) 
+            zwz(:,:) = ff_f(:,:) 
          CASE ( np_RVO )                           !* relative vorticity
             DO jj = 1, jpjm1
@@ -376,7 +376,7 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = ff(ji,jj) + (  e2v(ji+1,jj  ) * vn(ji+1,jj  ,jk) - e2v(ji,jj) * vn(ji,jj,jk)    &
-                     &                      - e1u(ji  ,jj+1) * un(ji  ,jj+1,jk) + e1u(ji,jj) * un(ji,jj,jk)  ) &
-                     &                   * r1_e1e2f(ji,jj)
+                  zwz(ji,jj) = ff_f(ji,jj) + (  e2v(ji+1,jj  ) * vn(ji+1,jj  ,jk) - e2v(ji,jj) * vn(ji,jj,jk)    &
+                     &                        - e1u(ji  ,jj+1) * un(ji  ,jj+1,jk) + e1u(ji,jj) * un(ji,jj,jk)  ) &
+                     &                     * r1_e1e2f(ji,jj)
                END DO
             END DO
@@ -384,5 +384,5 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = ff(ji,jj)                                                                       &
+                  zwz(ji,jj) = ff_f(ji,jj)                                                                      &
                        &     + (   ( vn(ji+1,jj  ,jk) + vn (ji,jj,jk) ) * ( e2v(ji+1,jj  ) - e2v(ji,jj) )       &
                        &         - ( un(ji  ,jj+1,jk) + un (ji,jj,jk) ) * ( e1u(ji  ,jj+1) - e1u(ji,jj) )   )   &
@@ -506,5 +506,5 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = ff(ji,jj) * z1_e3f(ji,jj)
+                  zwz(ji,jj) = ff_f(ji,jj) * z1_e3f(ji,jj)
                END DO
             END DO
@@ -528,7 +528,7 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = (  ff(ji,jj) + (  e2v(ji+1,jj  ) * vn(ji+1,jj  ,jk) - e2v(ji,jj) * vn(ji,jj,jk)    &
-                     &                         - e1u(ji  ,jj+1) * un(ji  ,jj+1,jk) + e1u(ji,jj) * un(ji,jj,jk)  ) &
-                     &                      * r1_e1e2f(ji,jj)    ) * z1_e3f(ji,jj)
+                  zwz(ji,jj) = (  ff_f(ji,jj) + (  e2v(ji+1,jj  ) * vn(ji+1,jj  ,jk) - e2v(ji,jj) * vn(ji,jj,jk)    &
+                     &                           - e1u(ji  ,jj+1) * un(ji  ,jj+1,jk) + e1u(ji,jj) * un(ji,jj,jk)  ) &
+                     &                        * r1_e1e2f(ji,jj)    ) * z1_e3f(ji,jj)
                END DO
             END DO
@@ -536,5 +536,5 @@
             DO jj = 1, jpjm1
                DO ji = 1, fs_jpim1   ! vector opt.
-                  zwz(ji,jj) = (  ff(ji,jj)                                                                        &
+                  zwz(ji,jj) = (  ff_f(ji,jj)                                                                      &
                        &        + (   ( vn(ji+1,jj  ,jk) + vn (ji,jj,jk) ) * ( e2v(ji+1,jj  ) - e2v(ji,jj) )       &
                        &            - ( un(ji  ,jj+1,jk) + un (ji,jj,jk) ) * ( e1u(ji  ,jj+1) - e1u(ji,jj) )   )   &
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90	(revision 6596)
@@ -106,8 +106,8 @@
 222   DO jfl = 1, jpnfl
 # if   defined key_mpp_mpi
-         IF( (iil(jfl) >= (mig(nldi)-jpizoom+1)) .AND. (iil(jfl) <= (mig(nlei)-jpizoom+1)) .AND.   &
-             (ijl(jfl) >= (mjg(nldj)-jpjzoom+1)) .AND. (ijl(jfl) <= (mjg(nlej)-jpjzoom+1)) ) THEN
-            iiloc(jfl) = iil(jfl) - (mig(1)-jpizoom+1) + 1
-            ijloc(jfl) = ijl(jfl) - (mjg(1)-jpjzoom+1) + 1
+         IF( iil(jfl) >= mig(nldi) .AND. iil(jfl) <= mig(nlei) .AND.   &
+             ijl(jfl) >= mjg(nldj) .AND. ijl(jfl) <= mjg(nlej)   ) THEN
+            iiloc(jfl) = iil(jfl) - mig(1) + 1
+            ijloc(jfl) = ijl(jfl) - mjg(1) + 1
 # else 
             iiloc(jfl) = iil(jfl)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/flodom.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/flodom.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/flodom.F90	(revision 6596)
@@ -234,6 +234,6 @@
 
             ! Translation of this distances (in meter) in indexes
-            zgifl(jfl)= (iimfl(jfl)-0.5) + zdxab/e1u(iimfl(jfl)-1,ijmfl(jfl)) + (mig(1)-jpizoom)
-            zgjfl(jfl)= (ijmfl(jfl)-0.5) + zdyad/e2v(iimfl(jfl),ijmfl(jfl)-1) + (mjg(1)-jpjzoom)
+            zgifl(jfl)= (iimfl(jfl)-0.5) + zdxab/e1u(iimfl(jfl)-1,ijmfl(jfl)) + (mig(1)-1)
+            zgjfl(jfl)= (ijmfl(jfl)-0.5) + zdyad/e2v(iimfl(jfl),ijmfl(jfl)-1) + (mjg(1)-1)
             zgkfl(jfl) = (( gdepw_n(iimfl(jfl),ijmfl(jfl),ikmfl(jfl)+1) - flzz(jfl) )* ikmfl(jfl))   &
                &                 / (  gdepw_n(iimfl(jfl),ijmfl(jfl),ikmfl(jfl)+1)                              &
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/florst.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/florst.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/FLO/florst.F90	(revision 6596)
@@ -102,8 +102,8 @@
          IF( lk_mpp ) THEN
             DO jfl = 1, jpnfl
-               IF( (INT(tpifl(jfl)) >= (mig(nldi)-jpizoom+1)) .AND.   &
-                  &(INT(tpifl(jfl)) <= (mig(nlei)-jpizoom+1)) .AND.   &
-                  &(INT(tpjfl(jfl)) >= (mjg(nldj)-jpjzoom+1)) .AND.   &
-                  &(INT(tpjfl(jfl)) <= (mjg(nlej)-jpjzoom+1)) ) THEN
+               IF( (INT(tpifl(jfl)) >= mig(nldi)) .AND.   &
+                  &(INT(tpifl(jfl)) <= mig(nlei)) .AND.   &
+                  &(INT(tpjfl(jfl)) >= mjg(nldj)) .AND.   &
+                  &(INT(tpjfl(jfl)) <= mjg(nlej)) ) THEN
                   iperproc(narea) = iperproc(narea)+1
                ENDIF
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/ICB/icbutl.F90	(revision 6596)
@@ -72,5 +72,5 @@
       uo_e(:,:) = 0._wp ;   uo_e(1:jpi, 1:jpj) = ssu_m(:,:) * umask(:,:,1)
       vo_e(:,:) = 0._wp ;   vo_e(1:jpi, 1:jpj) = ssv_m(:,:) * vmask(:,:,1)
-      ff_e(:,:) = 0._wp ;   ff_e(1:jpi, 1:jpj) = ff   (:,:) 
+      ff_e(:,:) = 0._wp ;   ff_e(1:jpi, 1:jpj) = ff_f (:,:) 
       tt_e(:,:) = 0._wp ;   tt_e(1:jpi, 1:jpj) = sst_m(:,:)
       fr_e(:,:) = 0._wp ;   fr_e(1:jpi, 1:jpj) = fr_i (:,:)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 6596)
@@ -109,9 +109,9 @@
          CALL iom_getatt(inum, 'open_ocean_jstart', jstartrow ) ! -999 is returned if the attribute is not found
          jstartrow = MAX(1,jstartrow)
-         CALL iom_get ( inum, jpdom_unknown, 'Bathy_level', zdta, kstart=(/jpizoom,jpjzoom+jstartrow-1/), kcount=(/jpiglo,jpjglo/) )
+         CALL iom_get( inum, jpdom_unknown, 'Bathy_level', zdta, kstart=(/1,1+jstartrow-1/), kcount=(/jpiglo,jpjglo/) )
       ELSE
          CALL iom_open ( 'bathy_meter.nc', inum )   ! Meter bathy in case of partial steps
          IF ( ln_isfcav ) THEN
-             CALL iom_get ( inum, jpdom_unknown, 'Bathymetry_isf' , zdta, kstart=(/jpizoom,jpjzoom/), kcount=(/jpiglo,jpjglo/) )
+             CALL iom_get( inum, jpdom_unknown, 'Bathymetry_isf' , zdta, kstart=(/1,1/), kcount=(/jpiglo,jpjglo/) )
          ELSE
              ! Optionally use a file attribute (open_ocean_jstart) to set a start row for reading from the global file
@@ -119,6 +119,5 @@
              CALL iom_getatt(inum, 'open_ocean_jstart', jstartrow ) ! -999 is returned if the attribute is not found
              jstartrow = MAX(1,jstartrow)
-             CALL iom_get ( inum, jpdom_unknown, 'Bathymetry' , zdta, kstart=(/jpizoom,jpjzoom+jstartrow-1/)   &
-                &                                                   , kcount=(/jpiglo,jpjglo/) )
+             CALL iom_get( inum, jpdom_unknown, 'Bathymetry' , zdta, kstart=(/1,1+jstartrow-1/), kcount=(/jpiglo,jpjglo/) )
          ENDIF
       ENDIF
@@ -129,9 +128,9 @@
       IF ( ln_isfcav ) THEN
          CALL iom_open ( 'bathy_meter.nc', inum )   ! Meter bathy in case of partial steps
-         CALL iom_get ( inum, jpdom_unknown, 'isf_draft' , zdtaisf, kstart=(/jpizoom,jpjzoom/), kcount=(/jpiglo,jpjglo/) )
+         CALL iom_get ( inum, jpdom_unknown, 'isf_draft' , zdtaisf, kstart=(/1,1/), kcount=(/jpiglo,jpjglo/) )
       END IF
       CALL iom_close (inum)
 
-      ! land/sea mask over the global/zoom domain
+      ! land/sea mask over the global domain
 
       imask(:,:)=1
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 6596)
@@ -298,5 +298,5 @@
       !
       INTEGER  ::   ji, jj, jk   ! dummy loop indices
-      REAL(wp) ::   zaht, zaht_min, z1_f20       ! local scalar
+      REAL(wp) ::   zaht, zahf, zaht_min, z1_f20       ! local scalar
       !!----------------------------------------------------------------------
       !
@@ -327,7 +327,10 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               zaht = ( 1._wp -  MIN( 1._wp , ABS( ff(ji,jj) * z1_f20 ) ) ) * ( rn_aht_0 - zaht_min )
+               !!gm CAUTION : here we assume lat/lon grid in 20deg N/S band (like all ORCA cfg)
+               !!     ==>>>   The Coriolis value is identical for t- & u_points, and for v- and f-points
+               zaht = ( 1._wp -  MIN( 1._wp , ABS( ff_t(ji,jj) * z1_f20 ) ) ) * ( rn_aht_0 - zaht_min )
+               zahf = ( 1._wp -  MIN( 1._wp , ABS( ff_f(ji,jj) * z1_f20 ) ) ) * ( rn_aht_0 - zaht_min )
                ahtu(ji,jj,1) = (  MAX( zaht_min, ahtu(ji,jj,1) ) + zaht  ) * umask(ji,jj,1)     ! min value zaht_min
-               ahtv(ji,jj,1) = (  MAX( zaht_min, ahtv(ji,jj,1) ) + zaht  ) * vmask(ji,jj,1)     ! increase within 20S-20N
+               ahtv(ji,jj,1) = (  MAX( zaht_min, ahtv(ji,jj,1) ) + zahf  ) * vmask(ji,jj,1)     ! increase within 20S-20N
             END DO
          END DO
@@ -568,5 +571,5 @@
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1   ! vector opt.
-            zzaei = MIN( 1._wp, ABS( ff(ji,jj) * z1_f20 ) ) * zaeiw(ji,jj)       ! tropical decrease
+            zzaei = MIN( 1._wp, ABS( ff_t(ji,jj) * z1_f20 ) ) * zaeiw(ji,jj)       ! tropical decrease
             zaeiw(ji,jj) = MIN( zzaei , paei0 )                                  ! Max value = paei0
          END DO
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 6596)
@@ -134,5 +134,5 @@
                !      # qns = zqrp -2(-4) watt/m2  if climatological ice and opa ice     (zfr_obs=1, fr_i=1)
                !                                   (-2=arctic, -4=antarctic)   
-               zqi = -3. + SIGN( 1.e0, ff(ji,jj) )
+               zqi = -3. + SIGN( 1._wp, ff_f(ji,jj) )
                qns(ji,jj) = ( ( 1.- zfr_obs ) * qns(ji,jj)                             &
                   &          +      zfr_obs   * fr_i(ji,jj) * zqi ) * tmask(ji,jj,1)   &
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 6596)
@@ -536,4 +536,5 @@
    END SUBROUTINE sbc_isf_cav
 
+
    SUBROUTINE sbc_isf_gammats(pgt, pgs, pqhisf, pqwisf )
       !!----------------------------------------------------------------------
@@ -635,5 +636,5 @@
 
                   !! compute eta* (stability parameter)
-                  zetastar = 1._wp / ( SQRT(1._wp + MAX(zxsiN * zustar(ji,jj) / ( ABS(ff(ji,jj)) * zmols * zRc ), 0.0_wp)))
+                  zetastar = 1._wp / ( SQRT(1._wp + MAX(zxsiN * zustar(ji,jj) / ( ABS(ff_f(ji,jj)) * zmols * zRc ), 0._wp)))
 
                   !! compute the sublayer thickness
@@ -641,5 +642,5 @@
 
                   !! compute gamma turb
-                  zgturb = 1._wp / vkarmn * LOG(zustar(ji,jj) * zxsiN * zetastar * zetastar / ( ABS(ff(ji,jj)) * zhnu )) &
+                  zgturb = 1._wp / vkarmn * LOG(zustar(ji,jj) * zxsiN * zetastar * zetastar / ( ABS(ff_f(ji,jj)) * zhnu )) &
                   &      + 1._wp / ( 2 * zxsiN * zetastar ) - 1._wp / vkarmn
 
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 6596)
@@ -329,6 +329,6 @@
             DO jj = 2, jpj                           ! "coriolis+ time^-1" at u- & v-points
                DO ji = fs_2, jpi   ! vector opt.
-                  zfu = ( ff(ji,jj) + ff(ji,jj-1) ) * 0.5_wp
-                  zfv = ( ff(ji,jj) + ff(ji-1,jj) ) * 0.5_wp
+                  zfu = ( ff_f(ji,jj) + ff_f(ji,jj-1) ) * 0.5_wp
+                  zfv = ( ff_f(ji,jj) + ff_f(ji-1,jj) ) * 0.5_wp
                   rfu(ji,jj) = SQRT(  zfu * zfu + z1_t2 )
                   rfv(ji,jj) = SQRT(  zfv * zfv + z1_t2 )
@@ -347,6 +347,5 @@
          !
          z1_t2 = 1._wp / ( rn_time * rn_time )
-         r1_ft(:,:) = 2._wp * omega * SIN( rad * gphit(:,:) )
-         r1_ft(:,:) = 1._wp / SQRT(  r1_ft(:,:) * r1_ft(:,:) + z1_t2 )
+         r1_ft(:,:) = 1._wp / SQRT(  ff_t(:,:) * ff_t(:,:) + z1_t2  )
          !
       ENDIF
